#include <algorithm>
#include <cstdint>
#include <iostream>
#include <vector>

#include "ifswitch.h"

void IfswitchTest::run() {
  std::vector<uint32_t> vec = {1, 2, 3, 4};

  if (auto it = std::find(vec.begin(), vec.end(), 23); it != vec.end()) {
    std::cout << "Found element 23 in vector" << std::endl;
  } else {
    std::cout << "No element 23 in vector" << std::endl;
  }

  switch (auto it = vec.rbegin(); *it) {
  case 4:
    std::cout << "Found 4 at the back" << std::endl;
    break;
  default:
    std::cout << "No 4 at the back" << std::endl;
    break;
  }
}
